### Method

# EDataBook BookBackend set_view_n_total

since: 3.50

#### Declaration [src]

    void
    e_book_backend_set_view_n_total (
      EBookBackend* backend,
      gsize view_id,
      guint n_total
    )

#### Description [src]

Stores how many contacts the view identified by `view_id` contains. It also sets the `n_total` to the corresponding `EDataBookView`, if such exists. The function does nothing when the view cannot be found.

Note: This function should be used only with `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY` views.

Available since: 3.50

#### Parameters

`view_id`

  Type: `gsize`

  A view identifier.

`n_total`

  Type: `guint`

  The value to set.